import { ActiveHashRecord, Queryable } from "activehashie";
import { ActiveHashValidation } from "./active_hash_validation";
export interface ModelValidationErrorReport<Record extends ActiveHashRecord> {
    column?: keyof Record;
    ids?: number[];
    message: string;
}
export declare class ModelValidationErrorReports<Record extends ActiveHashRecord> {
    private model;
    private validation;
    constructor(model: Queryable<Record>, validation: ActiveHashValidation);
    push(...reports: Array<ModelValidationErrorReport<Record>>): void;
}
